[arch-commits] Commit in cpio/trunk (PKGBUILD cpio-gcc43.patch cpio.install)

Tobias Powalowski tpowa at archlinux.org
Mon May 11 07:08:34 UTC 2009


    Date: Monday, May 11, 2009 @ 03:08:34
  Author: tpowa
Revision: 39016

upgpkg: cpio 2.9-4

Added:
  cpio/trunk/cpio-gcc43.patch
  cpio/trunk/cpio.install
Modified:
  cpio/trunk/PKGBUILD

------------------+
 PKGBUILD         |   21 ++++----
 cpio-gcc43.patch |  139 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 cpio.install     |   21 ++++++++
 3 files changed, 173 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-11 06:57:34 UTC (rev 39015)
+++ PKGBUILD	2009-05-11 07:08:34 UTC (rev 39016)
@@ -2,22 +2,27 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=cpio
 pkgver=2.9
-pkgrel=3
+pkgrel=4
 pkgdesc="A tool to copy files into or out of a cpio or tar archive"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnu.org/software/cpio"
 groups=('base')
 depends=('glibc')
-source=(ftp://ftp.gnu.org/gnu/cpio/cpio-${pkgver}.tar.gz)
+source=(ftp://ftp.gnu.org/gnu/cpio/cpio-${pkgver}.tar.gz
+	cpio-gcc43.patch)
+install=cpio.install
 md5sums=('2bb997a33555d4dc79d45d0cdf02cedd')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --mandir=/usr/man
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ../cpio-gcc43.patch || return 1
+  ./configure --prefix=/usr --mandir=/usr/share/man
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  rm -f ${startdir}/pkg/usr/bin/mt ${startdir}/pkg/usr/man/man1/mt.1
-  mv ${startdir}/pkg/usr/bin ${startdir}/pkg/bin
-  rm -rf ${startdir}/pkg/usr/libexec
+  make DESTDIR=${pkgdir} install
+  rm -f ${pkgdir}/usr/bin/mt ${pkgdir}/pkg/usr/share/man/man1/mt.1
+  mv ${pkgdir}/usr/bin ${pkgdir}/bin
+  rm -rf ${pkgdir}/usr/libexec
+  # remove infodir
+  rm $pkgdir/usr/share/info/dir
 }

Added: cpio-gcc43.patch
===================================================================
--- cpio-gcc43.patch	                        (rev 0)
+++ cpio-gcc43.patch	2009-05-11 07:08:34 UTC (rev 39016)
@@ -0,0 +1,139 @@
+http://bugs.gentoo.org/198817
+
+from upstream gnulib for "extern inline" changes
+
+diff --git a/lib/argp-fmtstream.h b/lib/argp-fmtstream.h
+index 93fa651..50f1387 100644
+--- a/lib/argp-fmtstream.h
++++ b/lib/argp-fmtstream.h
+@@ -1,5 +1,5 @@
+ /* Word-wrapping and line-truncating streams.
+-   Copyright (C) 1997, 2006 Free Software Foundation, Inc.
++   Copyright (C) 1997, 2006-2007 Free Software Foundation, Inc.
+    This file is part of the GNU C Library.
+    Written by Miles Bader <miles at gnu.ai.mit.edu>.
+ 
+@@ -134,6 +134,7 @@ extern ssize_t argp_fmtstream_printf (argp_fmtstream_t __fs,
+ 				      const char *__fmt, ...)
+      __attribute__ ((__format__ (printf, 2, 3)));
+ 
++#if _LIBC || !defined __OPTIMIZE__
+ extern int __argp_fmtstream_putc (argp_fmtstream_t __fs, int __ch);
+ extern int argp_fmtstream_putc (argp_fmtstream_t __fs, int __ch);
+ 
+@@ -144,6 +145,7 @@ extern size_t __argp_fmtstream_write (argp_fmtstream_t __fs,
+ 				      const char *__str, size_t __len);
+ extern size_t argp_fmtstream_write (argp_fmtstream_t __fs,
+ 				    const char *__str, size_t __len);
++#endif
+ 

+ /* Access macros for various bits of state.  */
+ #define argp_fmtstream_lmargin(__fs) ((__fs)->lmargin)
+@@ -153,6 +155,7 @@ extern size_t argp_fmtstream_write (argp_fmtstream_t __fs,
+ #define __argp_fmtstream_rmargin argp_fmtstream_rmargin
+ #define __argp_fmtstream_wmargin argp_fmtstream_wmargin
+ 
++#if _LIBC || !defined __OPTIMIZE__
+ /* Set __FS's left margin to LMARGIN and return the old value.  */
+ extern size_t argp_fmtstream_set_lmargin (argp_fmtstream_t __fs,
+ 					  size_t __lmargin);
+@@ -174,6 +177,7 @@ extern size_t __argp_fmtstream_set_wmargin (argp_fmtstream_t __fs,
+ /* Return the column number of the current output point in __FS.  */
+ extern size_t argp_fmtstream_point (argp_fmtstream_t __fs);
+ extern size_t __argp_fmtstream_point (argp_fmtstream_t __fs);
++#endif
+ 
+ /* Internal routines.  */
+ extern void _argp_fmtstream_update (argp_fmtstream_t __fs);
+@@ -197,7 +201,28 @@ extern int __argp_fmtstream_ensure (argp_fmtstream_t __fs, size_t __amount);
+ #endif
+ 
+ #ifndef ARGP_FS_EI
+-#define ARGP_FS_EI extern inline
++# ifdef __GNUC__
++   /* GCC 4.3 and above with -std=c99 or -std=gnu99 implements ISO C99
++      inline semantics, unless -fgnu89-inline is used.  It defines a macro
++      __GNUC_STDC_INLINE__ to indicate this situation or a macro
++      __GNUC_GNU_INLINE__ to indicate the opposite situation.
++      GCC 4.2 with -std=c99 or -std=gnu99 implements the GNU C inline
++      semantics but warns, unless -fgnu89-inline is used:
++        warning: C99 inline functions are not supported; using GNU89
++        warning: to disable this warning use -fgnu89-inline or the gnu_inline function attribute
++      It defines a macro __GNUC_GNU_INLINE__ to indicate this situation.  */
++#  if defined __GNUC_STDC_INLINE__
++#   define ARGP_FS_EI inline
++#  elif defined __GNUC_GNU_INLINE__
++#   define ARGP_FS_EI extern inline __attribute__ ((__gnu_inline__))
++#  else
++#   define ARGP_FS_EI extern inline
++#  endif
++# else
++   /* With other compilers, assume the ISO C99 meaning of 'inline', if
++      the compiler supports 'inline' at all.  */
++#  define ARGP_FS_EI inline
++# endif
+ #endif
+ 
+ ARGP_FS_EI size_t
+diff --git a/lib/argp.h b/lib/argp.h
+index fb11de6..aa76eb4 100644
+--- a/lib/argp.h
++++ b/lib/argp.h
+@@ -520,9 +520,11 @@ extern void __argp_state_help (const struct argp_state *__restrict __state,
+ 			       FILE *__restrict __stream,
+ 			       unsigned int __flags);
+ 
++#if _LIBC || !defined __USE_EXTERN_INLINES
+ /* Possibly output the standard usage message for ARGP to stderr and exit.  */
+ extern void argp_usage (const struct argp_state *__state);
+ extern void __argp_usage (const struct argp_state *__state);
++#endif
+ 
+ /* If appropriate, print the printf string FMT and following args, preceded
+    by the program name and `:', to stderr, and followed by a `Try ... --help'
+@@ -551,6 +553,7 @@ extern void __argp_failure (const struct argp_state *__restrict __state,
+ 			    const char *__restrict __fmt, ...)
+      __attribute__ ((__format__ (__printf__, 4, 5)));
+ 
++#if _LIBC || !defined __USE_EXTERN_INLINES
+ /* Returns true if the option OPT is a valid short option.  */
+ extern int _option_is_short (const struct argp_option *__opt) __THROW;
+ extern int __option_is_short (const struct argp_option *__opt) __THROW;
+@@ -559,6 +562,7 @@ extern int __option_is_short (const struct argp_option *__opt) __THROW;
+    options array.  */
+ extern int _option_is_end (const struct argp_option *__opt) __THROW;
+ extern int __option_is_end (const struct argp_option *__opt) __THROW;
++#endif
+ 
+ /* Return the input field for ARGP in the parser corresponding to STATE; used
+    by the help routines.  */
+@@ -579,7 +583,28 @@ extern void *__argp_input (const struct argp *__restrict __argp,
+ # endif
+ 
+ # ifndef ARGP_EI
+-#  define ARGP_EI extern __inline__
++#  ifdef __GNUC__
++    /* GCC 4.3 and above with -std=c99 or -std=gnu99 implements ISO C99
++       inline semantics, unless -fgnu89-inline is used.  It defines a macro
++       __GNUC_STDC_INLINE__ to indicate this situation or a macro
++       __GNUC_GNU_INLINE__ to indicate the opposite situation.
++       GCC 4.2 with -std=c99 or -std=gnu99 implements the GNU C inline
++       semantics but warns, unless -fgnu89-inline is used:
++         warning: C99 inline functions are not supported; using GNU89
++         warning: to disable this warning use -fgnu89-inline or the gnu_inline function attribute
++       It defines a macro __GNUC_GNU_INLINE__ to indicate this situation.  */
++#   if defined __GNUC_STDC_INLINE__
++#    define ARGP_EI __inline__
++#   elif defined __GNUC_GNU_INLINE__
++#    define ARGP_EI extern __inline__ __attribute__ ((__gnu_inline__))
++#   else
++#    define ARGP_EI extern __inline__
++#   endif
++#  else
++    /* With other compilers, assume the ISO C99 meaning of 'inline', if
++       the compiler supports 'inline' at all.  */
++#   define ARGP_EI inline
++#  endif
+ # endif
+ 
+ ARGP_EI void

Added: cpio.install
===================================================================
--- cpio.install	                        (rev 0)
+++ cpio.install	2009-05-11 07:08:34 UTC (rev 39016)
@@ -0,0 +1,21 @@
+infodir=/usr/share/info
+filelist=(cpio.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+    usr/bin/install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    usr/bin/install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+




More information about the arch-commits mailing list